Bug 42550 - Image loss when Impress handling *similar* file copies.
Summary: Image loss when Impress handling *similar* file copies.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Image-Caching
  Show dependency treegraph
 
Reported: 2011-11-03 04:45 UTC by Yifan Jiang
Modified: 2018-07-27 02:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test data (1.65 MB, application/vnd.oasis.opendocument.presentation)
2011-11-03 04:50 UTC, Yifan Jiang
Details
View of bar.odp after the procedure (22.00 KB, image/png)
2012-01-15 06:04 UTC, Mike §chinagl
Details
View of foo.odp after the procedure (20.74 KB, image/png)
2012-01-15 06:05 UTC, Mike §chinagl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yifan Jiang 2011-11-03 04:45:47 UTC
Platform: SLED 11 sp1 i586
Build:    SUSE Libreoffice 3.4.2 release

[Steps]

    1. Open the attached file "test.odp"

    2. Save it as "foo.odp", and keep the Libreoffice window open

    3. Reopen "test.odp"

    4. Save it as "bar.odp"

    5. Switch to the foo.odp LibO window and remove the big image in the slide 2

    6. Save "foo.odp"

    7. Switch to the "bar.odp" and do some modification, for example, remove
    any image in the slide 3

    8. Save "bar.odp"

    9. In the bar.odp LibO window, File->Reload

[Problem]

    - The image in the slide 2 of bar.odp will be missing magically, however I only removed that one from foo.odp.
    
[Extra Information]

    - The bug comes from Michael, suspecting image life cycle problem.
Comment 1 Yifan Jiang 2011-11-03 04:50:41 UTC
Created attachment 53101 [details]
test data
Comment 2 Mike §chinagl 2012-01-15 06:04:32 UTC
Created attachment 55602 [details]
View of bar.odp after the procedure
Comment 3 Mike §chinagl 2012-01-15 06:05:05 UTC
Created attachment 55603 [details]
View of foo.odp after the procedure
Comment 4 Mike §chinagl 2012-01-15 06:08:09 UTC
What a funny bug. I can confirm the bug under Ubuntu 10.10 with LibreOffice 3.4.4 OOO340m1 (Build:402) German help. After the procedure I closed the file and the programme and the reopened them: in slide 2 there is a frame in bar.odp which I don't see in foo.odp, see attached files.
Comment 5 ign_christian 2013-06-05 16:07:36 UTC
This bug has not been touched by for a long time. 
Just confirming, is this bug still ASSIGNED?
Comment 6 Thorsten Behrens (CIB) 2013-06-05 19:51:43 UTC
(In reply to comment #5)
> Just confirming, is this bug still ASSIGNED?
>
Yup.
Comment 7 Thorsten Behrens (CIB) 2013-09-12 16:14:36 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 8 bfoman (inactive) 2014-01-08 22:39:26 UTC
Back to NEW as this bug lost owner.
Comment 9 Seraphime Kirkovski 2016-07-12 14:23:29 UTC
Can't reproduce it on

Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 6; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.utf8)
Comment 10 Telesto 2017-07-26 20:24:44 UTC
No repro with Windows:
Version: 6.0.0.0.alpha0+
Build ID: 343d40206a929969e1755b073edae91cc4bd9751
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-26_05:51:20
Locale: nl-NL (nl_NL); Calc: CL
Comment 11 QA Administrators 2018-07-27 02:42:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug